Межсайтовый скриптинг в XOOPS Cube Legacy

Дата публикации:
28.04.2009
Дата изменения:
28.04.2009
Всего просмотров:
2031
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
XOOPS Cube Legacy 2.x
Уязвимые версии: XOOPS Cube Legacy версии до 2.1.6a

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение.

1. Уязвимость существует из-за недостаточной обработки входных данных. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки сообщений, возвращаемых MySQL серверов в функции "ErrorHandler::show()". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: xoopscube.org/xigg/node/116

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://xoopscube.org/xigg/121
http://jvn.jp/jp/JVN74747784/index.html
http://sourceforge.net/mailarchive/forum.php?thread_name=E1L5I6L-0003np-U8%40h45xhf1.ch3.sourceforge.com&forum_name=xoopscube-legacy-tracker

или введите имя

CAPTCHA